﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Hangfire" Version="1.7.31" />
    <PackageReference Include="Hangfire.PostgreSql" Version="1.9.9" />
    <PackageReference Include="MassTransit" Version="8.0.10" />
    <PackageReference Include="MassTransit.RabbitMQ" Version="8.0.10" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="6.0.9" />
    <PackageReference Include="Microsoft.AspNetCore.Identity" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="6.0.9" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.9" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.9">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="6.0.7" />
    <PackageReference Include="Serilog.AspNetCore" Version="6.1.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\VacationSchedule.Core\VacationSchedule.Core.csproj" />
    <ProjectReference Include="..\..\VacationSchedule.DBEntity\VacationSchedule.DBEntity.csproj" />
    <ProjectReference Include="..\..\VacationSchedule.DBIdentity\VacationSchedule.DBIdentity.csproj" />
    <ProjectReference Include="..\Client\VacationSchedule.WebApp.Client.csproj" />
  </ItemGroup>


</Project>
